gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2004-000389

gdk+ および gdk-pixbuf の pixbuf_create_from_xpm における整数オーバフローの脆弱性

7.5
2007/04/01 00:00
CVE-2004-0782

JVNDB-2004-000389

gdk+ および gdk-pixbuf の pixbuf_create_from_xpm における整数オーバフローの脆弱性
概要
------------ 本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。 ------------ GTK+ (GIMP Toolkit) パッケージは GNOME デスクトップ環境用の GUI アプリケーションを作成するためのツールキットで、多くの Linux ディストリビューションに同梱されています。また GTK+ に含まれる gdk-pixbuf は、画像のロード、保存、および処理を行うためのライブラリです。 GTK+ 2.4.9 以前に同梱される gdk-pixbuf 0.22 以前には、以下のようなファイル解析時に生じる複数のセキュリティ問題が存在します。 ・BMP ファイルの処理部において無限ループが生じる問題 (CAN-2004-0753) ・XPM ファイルのデコーダでスタックオーバーフローおよびヒープオーバーフローが生じる問題 (CAN-2004-0782/CAN-2004-0783) ・ICO ファイルのデコーダで整数オーバーフローが生じる問題 (CAN-2004-0788) これらの問題を利用するリモートの攻撃者は、意図的に作成した画像ファイルを標的ユーザに送りつけ、GTK+ もしくは gdk-pixbuf を利用するアプリケーションで開くように標的ユーザを誘導することにより、アプリケーションをサービス不能状態に陥らせる、さらには標的ユーザの権限で任意のコードを実行できる可能性があります。
想定される影響と対策
本脆弱性に伴う影響については、「概要」をご参照ください。
JVNDB-2004-000389は、ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度7.5N/A
CVECVE-2004-0782
公表日2004/09/15 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。